Skip to main content
GET
Retrieves the customer details.

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

id
number
required

Response

200 - application/json

The customer details have been successfully retrieved.

balance
number
required
Example:

1500

currencyCode
string
required
Example:

"USD"

openingBalance
number
required
Example:

1000

openingBalanceAt
string<date-time>
required
Example:

"2024-01-01T00:00:00Z"

openingBalanceExchangeRate
number
required
Example:

1

displayName
string
required
Example:

"John Doe - Acme Corporation"

note
string
required
Example:

"Important client with regular monthly orders"

active
boolean
required
Example:

true

createdAt
string<date-time>
required
Example:

"2024-01-01T00:00:00Z"

updatedAt
string<date-time>
required
Example:

"2024-01-01T00:00:00Z"

localOpeningBalance
number
required
Example:

1000

closingBalance
number
required
Example:

1500

openingBalanceBranchId
number
Example:

1

salutation
string
Example:

"Mr."

firstName
string
Example:

"John"

lastName
string
Example:

"Doe"

companyName
string
Example:

"Acme Corporation"

email
string
workPhone
string
Example:

"+1 (555) 123-4567"

personalPhone
string
Example:

"+1 (555) 987-6543"

website
string
Example:

"https://www.acme.com"

billingAddress1
string
Example:

"123 Business Ave"

billingAddress2
string
Example:

"Suite 100"

billingAddressCity
string
Example:

"New York"

billingAddressCountry
string
Example:

"United States"

billingAddressEmail
string
billingAddressPostcode
string
Example:

"10001"

billingAddressPhone
string
Example:

"+1 (555) 111-2222"

billingAddressState
string
Example:

"NY"

shippingAddress1
string
Example:

"456 Shipping St"

shippingAddress2
string
Example:

"Unit 200"

shippingAddressCity
string
Example:

"Los Angeles"

shippingAddressCountry
string
Example:

"United States"

shippingAddressEmail
string
shippingAddressPostcode
string
Example:

"90001"

shippingAddressPhone
string
Example:

"+1 (555) 333-4444"

shippingAddressState
string
Example:

"CA"